<?php

namespace Drupal\layout_settings\Icon;

use Drupal\Component\Utility\Html;
use Drupal\Core\Layout\Icon\SvgIconBuilder as CoreSvgIconBuilder;

/**
 * Builds SVG layout icons.
 */
class SvgIconBuilder extends CoreSvgIconBuilder {

  /**
   * Builds a render array representation of an SVG and highlight a region.
   *
   * @param string[][] $icon_map
   *   A two-dimensional array representing the visual output of the layout.
   *   For the following shape:
   *   |------------------------------|
   *   |                              |
   *   |             100%             |
   *   |                              |
   *   |-------|--------------|-------|
   *   |       |              |       |
   *   |       |      50%     |  25%  |
   *   |       |              |       |
   *   |  25%  |--------------|-------|
   *   |       |                      |
   *   |       |         75%          |
   *   |       |                      |
   *   |------------------------------|
   *   The corresponding array would be:
   *   - ['top']
   *   - ['first', 'second', 'second', 'third']
   *   - ['first', 'bottom', 'bottom', 'bottom'].
   *
   * @return array
   *   A render array representing a SVG icon.
   */
  public function buildAndHighlight(array $icon_map, $hregion) {
    $build = $this->build($icon_map);
    return $build;
  }

}
